using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zadatak1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string prviBroj = Console.ReadLine();
            string drugiBroj = Console.ReadLine();
            StringBuilder noviBroj = new StringBuilder();
            if(prviBroj.Length > drugiBroj.Length)
            {
                int razlika = prviBroj.Length - drugiBroj.Length;
                for (int i = 0; i < prviBroj.Length; i++)
                {
                    if (i < razlika) noviBroj.Append(prviBroj[i]);
                    else
                    {
                        if (prviBroj[i] > drugiBroj[i - razlika]) noviBroj.Append(prviBroj[i]);
                        else if (prviBroj[i] < drugiBroj[i - razlika]) noviBroj.Append(drugiBroj[i - razlika]);
                        else
                        {
                            noviBroj.Append(prviBroj[i]);
                            noviBroj.Append(prviBroj[i]);
                        }
                    }
                }
            }
            else if(drugiBroj.Length > noviBroj.Length)
            {
                int razlika = drugiBroj.Length - prviBroj.Length;
                for (int i = 0; i < drugiBroj.Length; i++)
                {
                    if (i < razlika) noviBroj.Append(drugiBroj[i]);
                    else
                    {
                        if (drugiBroj[i] > prviBroj[i - razlika]) noviBroj.Append(drugiBroj[i]);
                        else if (drugiBroj[i] < prviBroj[i - razlika]) noviBroj.Append(prviBroj[i - razlika]);
                        else
                        {
                            noviBroj.Append(drugiBroj[i]);
                            noviBroj.Append(drugiBroj[i]);
                        }
                    }
                }
            }
            else
            {
                for (int i = 0; i < drugiBroj.Length; i++)
                {
                    if (drugiBroj[i] > prviBroj[i]) noviBroj.Append(drugiBroj[i]);
                    else if (drugiBroj[i] < prviBroj[i]) noviBroj.Append(prviBroj[i]);
                    else
                    {
                        noviBroj.Append(drugiBroj[i]);
                        noviBroj.Append(drugiBroj[i]);
                    }

                }
            }
            Console.WriteLine(noviBroj.ToString());
        }
    }
}